| Home | Libraries | People | FAQ | More

## Class value_semantic_codecvt_helper<wchar_t>

boost::program_options::value_semantic_codecvt_helper<wchar_t> —

## Synopsis

    class value_semantic_codecvt_helper<wchar_t>
      :  : public boost::program_options::value_semantic
    {
    public:

      // protected member functions
      virtual void xparse(boost::any &, const std::vector< std::wstring > &) const;

      // private member functions
      void parse(boost::any &, const std::vector< std::string > &, bool) const;
    };

## Description

### `value_semantic_codecvt_helper` protected member functions

1.     virtual void
       xparse(boost::any & value_store,
              const std::vector< std::wstring > & new_tokens) const;

### `value_semantic_codecvt_helper` private member functions

1.     void parse(boost::any & value_store,
                  const std::vector< std::string > & new_tokens, bool utf8) const;

| Copyright © 2002-2004 Vladimir Prus